### Method

# GIRepository Repository get_search_path

since: 2.80

#### Declaration

    const char* const*
    gi_repository_get_search_path (
      GIRepository* repository,
      size_t* n_paths_out
    )

#### Description

Returns the current search path `GIRepository` will use when loading typelib files.

The list is internal to `GIRepository` and should not be freed, nor should its string elements.

The list is guaranteed to be `NULL` terminated. The `NULL` terminator is not counted in `n_paths_out`.

Available since: 2.80

#### Parameters

`n_paths_out`

  Type: `size_t*`

  The number of search paths returned.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `filename`

List of search paths, most important first.

The length of the array is in the `n_paths_out` argument.
The data is owned by the instance.
Each element is a file system path, using the OS encoding.